Bug 202310 - perl-DBI: update request to version 1.52 (FC-5 and rawhide)
perl-DBI: update request to version 1.52 (FC-5 and rawhide)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-DBI (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-12 12:45 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 17:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-08-12 12:45:29 EDT
Description of problem:
Version 1.52 fixes two memory leaks.

Version-Release number of selected component (if applicable):
Rawhide: perl-DBI-1.51-1.src.rpm
FC-5   : perl-DBI-1.50-2.2.src.rpm

Additional info:

Version 1.52 changelog
----------------------
+=head2 Changes in DBI 1.52 (svn rev 6734),   30h July 2006
+
+  Fixed memory leak (per handle) thanks to Nicholas Clark and Ephraim Dan.
+  Fixed memory leak (16 bytes per sth) thanks to Doru Theodor Petrescu.
+  Fixed execute_for_fetch/execute_array to RaiseError thanks to Martin J. Evans.
+  Fixed for perl 5.9.4. Users of Perl >= 5.9.4 will require DBI >= 1.52.
+
+  Updated DBD::File to 0.35 to match the latest release on CPAN.
+
+  Added $dbh->statistics_info specification thanks to Brandon Black.
+
+  Many changes and additions to profiling:
+    Profile Path can now uses sane strings instead of obscure numbers,
+    can refer to attributes, assorted magical values, and even code refs!
+    Parsing of non-numeric DBI_PROFILE env var values has changed.
+    Changed DBI::Profile docs extensively - many new features.
+    See DBI::Profile docs for more information.


Diff from DBI-1.51 to DBI-1.52
------------------------------
http://search.cpan.org/diff?from=DBI-1.51&to=DBI-1.52
Comment 1 Fedora Update System 2006-08-24 15:57:12 EDT
perl-DBI-1.52-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Robin Norwood 2006-08-25 10:22:43 EDT
Also in the latest rawhide. (perl-DBI-1.52-1.fc6.i386.rpm)
Comment 3 Fedora Update System 2006-09-15 16:53:53 EDT
perl-DBI-1.52-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.